Substy Developers
Account and agency

Get agency settings

Read the current agency's Substy record and available administration settings.

GET/v1/agencies/{agencyId}/details

Read the current agency's Substy record and available administration settings.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/agencies/string/details" \  -H "Authorization: Bearer YOUR_API_KEY"
{  "data": {    "id": "string",    "createdAt": "2019-08-24T14:15:22Z",    "updatedAt": "2019-08-24T14:15:22Z",    "stripeId": "string",    "customerId": null,    "dodoId": null,    "dodoBalanceSubscriptionId": null,    "toltReferralClickId": null,    "toltReferralCustomerId": null,    "whopMemberId": null,    "whopDefaultPaymentMethodId": null,    "onboardingPurpose": null,    "privateSupportNotifiedAt": null,    "firstValueReachedAt": null,    "firstValueType": null,    "firstValueCreatorId": null,    "firstValueDefinitionVersion": null,    "firstValueNotifiedAt": null,    "aiFiveMessagesReachedAt": null,    "aiFiveMessagesCreatorId": null,    "ppvPurchaseReachedAt": null,    "ppvPurchaseCreatorId": null,    "checklistDismissedAt": null  },  "meta": {    "requestId": "string"  }}